using System;
using System.Drawing;
using System.Windows.Forms;
using DGNetwork.AddIns.Codons;
using DGNetwork.Services;

namespace AddInScout
{
	public class AddInScoutCommand : AbstractMenuCommand
	{
		static Form frm = null;
		
		public override void Run()
		{
			AddInScoutViewContent vw = new AddInScoutViewContent();
			if (frm == null) {
				frm = new Form();
				frm.Size = new Size(700, 350);
				frm.Closed += new EventHandler(frmClosed);
				frm.Icon = Service.Resource.GetIcon("Icons.TwoColumns");
				vw.Control.Dock = DockStyle.Fill;
				frm.Controls.Add(vw.Control);
				frm.Text = "AddIn Scout";
				Service.Window.ManageWindowSize("AddInScout", frm);
			}
			frm.Show();
			frm.Focus();
		}
		
		private void frmClosed(object sender, EventArgs e) {
			frm = null;
		}
	}
}
