// Copyright (C) 2005  Daniel Grunwald
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// For more information read the file "LICENSE.txt".

using System;
using System.Text;

namespace DGNetwork.Chat.Parser.Display
{
	public class FormulaTag : SimpleTag
	{
		public override void WriteTag(StringBuilder b, TagInfo tag, HtmlFilter filter)
		{
			b.AppendFormat("<span id=\"math{0:x}\">`{1}`</span>" +
			               "<script>WritelnMathMLCheck(); AMprocessNode(document.getElementById(\"math{0:x}\"),true);</script>\n",
			               Helper.Random.Next(),
			               HtmlHelper.EncodeEntities(GetAttribute(tag, "code")));
		}
	}
}
