// Copyright (C) 2005  Daniel Grunwald
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// For more information read the file "LICENSE.txt".

using System;
using Grunwald.P2PLib.DGNetwork;

namespace DGNetwork.DGN.MUC
{
	public enum MUCPacketType : byte
	{
		Unknown = 0,
		Joining = 1,
		Message = 2,
		Leaving = 3
	}
	
	public enum MUCResultCode : byte
	{
		Success = Answer.ErrorCodeSuccess,
		UnknownMUCHash = 1,
		UnknownMUCType = 2,
		DecryptionError = 3,
		NoMUCSupport = Answer.ErrorCodeTargetNotFound,
		InvalidRequest = Answer.ErrorCodeInvalidRequest,
		InternalError = Answer.ErrorCodeInternalError
	}
}
