// Copyright (C) 2005  Daniel Grunwald
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// For more information read the file "LICENSE.txt".

using System;

namespace DGNetwork.Gui.Menu
{
	public interface IItemWithContextMenu
	{
		/// <summary>
		/// Gets the owner to use for the item.
		/// </summary>
		object Owner { get; }
		
		/// <summary>
		/// Gets the tree path of the context menu.
		/// </summary>
		string ContextMenuTreePath { get; }
	}
}
