// Copyright (C) 2005  Daniel Grunwald
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// For more information read the file "LICENSE.txt".

using System;

namespace DGNetwork.Chat
{
	/// <summary>
	/// Enumeration containing the possible message text modes.
	/// </summary>
	[Flags]
	public enum MessageModes : byte
	{
		None = 0,
		Text = 1,
		Rtf  = 2,
		Html = 4,
		All = 7
	}
}
