// Copyright (C) 2005  Daniel Grunwald
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// For more information read the file "LICENSE.txt".

using System;
using Grunwald.Gui.Settings;
using Grunwald.Gui.Settings.Editors;

using DGNetwork.Services;

namespace DGNetwork.DGN
{
	public class NewDGNButtonEditor : ButtonEditor
	{
		public NewDGNButtonEditor(ISetting setting) : base(setting)
		{
			this.ButtonClick += new EventHandler(ButtonClicked);
		}
		
		private void ButtonClicked(object sender, EventArgs e)
		{
			ISettingPage page = Service.Setting.GetPage("NetworkPage");
			ISettingPage newPage = new NetworkPage();
			page.AddPage(newPage);
			Service.Setting.EditSetting(newPage);
		}
	}
}
