// Copyright (C) 2005  Daniel Grunwald
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// For more information read the file "LICENSE.txt".

using System;
using System.ComponentModel;
using System.Windows.Forms;

namespace TCPSniffer
{
	public abstract class ConnectionAnalyzer : UserControl
	{
		public abstract bool CanAnalyze(Connection c);
		
		public abstract void BeginAnalyze(Connection c);
		
		public abstract void AnalyzePacket(TcpPacket p);
	}
}
